<?php
require_once("_functions.php");

if(ctype_alnum($_POST['vcode']))
{
	$VoucherSet = @mysql_query("SELECT * FROM `vouchers` WHERE `code` = '" . mysql_real_escape_string($_POST['vcode']) . "' AND `active` = 'Y'");
	if(mysql_num_rows($VoucherSet) != 0)
	{
		$Code = mysql_fetch_assoc($VoucherSet);
		
		$_SESSION['cartvoucher']['code'] = strtoupper($Code['code']);
		$_SESSION['cartvoucher']['id'] = $Code['id'];
		$_SESSION['cartvoucher']['percent'] = $Code['percent'];
		$_SESSION['cartvoucher']['price'] = $Code['price'];
	}
}

if($_POST['RemoveProduct'] || $_POST['RemoveProduct_x'])
{
	$ProductID = c($_POST['pid']);
	$tmp = explode('_', $ProductID);
	
	if(count($_SESSION['basket'][$tmp[0]]) == 1)
		unset($_SESSION['basket'][$tmp[0]]);
	else
		unset($_SESSION['basket'][$tmp[0]][$tmp[1]]);
}
if($_POST['UpdateQuantity'] || $_POST['UpdateQuantity_x'])
{
	$ProductID = c($_POST['pid']);
	$tmp = explode('_', $ProductID);
	
	$_SESSION['basket'][$tmp[0]][$tmp[1]]['Quantity'] = $_POST['quant'];
}

$_TITLE = "Your Basket at Laura George";
require_once("_header.php");

$_SIZES = getSizes();
$_COLOURS = getColours();
?>

<div id="content">
<div style="font-size:18px;margin-top:15px;letter-spacing:5px;">
<span style="color:#000;">Basket</span> >> 
Delivery >> 
Confirm Order >> 
Complete
</div>
		<h1>Your Basket</h1>
<?php
			if(isset($_SESSION['basket']))
			{
?>
<table width="100%" border="0" cellspacing="0" cellpadding="5" class="darker">
	<tr>
		<td width="180" align="center" style="border-bottom:1px solid #EEE;"><strong>Product</strong></td>
		<td width="100" align="center" style="border-bottom:1px solid #EEE;"><strong>Colour</strong></td>
		<td width="50" align="center" style="border-bottom:1px solid #EEE;"><strong>Size</strong></td>
		<td width="180" align="center" style="border-bottom:1px solid #EEE;"><strong>Quantity</strong></td>
		<td align="center" style="border-bottom:1px solid #EEE;"><strong>Price</strong></td>
		<td width="137" style="border-bottom:1px solid #EEE;"></td>
	</tr>
<?php
				foreach($_SESSION['basket'] as $ProductID => $Array)
				{
					$Saved = 0;
					$EndPrice = 0;
					$GetProduct = mysql_query("SELECT * FROM `products` WHERE `id` = '" . $ProductID . "'");					
					if(mysql_num_rows($GetProduct) != 0)
					{
						$ProductRow = mysql_fetch_array($GetProduct);
						$ProductRow = makeW3C($ProductRow);
						
						foreach($Array as $TMPID=>$Product)
						{			
							$EndPrice = $ProductRow['price'];
							
							$TotalProductsPrice += ($Product['Quantity'] * $EndPrice);
							$TotalProducts += $Product['Quantity'];
							
?>
	<tr>
		<td align="center"><a href="/product.html?id=<?php echo $ProductID; ?>"><img src="/i/products/<?php echo $ProductID; ?>/<?php echo $Product['Colour']; ?>_t.jpg" alt="<?php echo $ProductRow['name']; ?>" width="170" /></a></td>
		<td align="center"><?php echo $_COLOURS[$Product['Colour']]['Name']; ?></td>
		<td align="center"><?php echo $_SIZES[$Product['Size']]; ?></td>
		<td align="left"><form style="padding-left:30px;" action="/basket.html" method="post"><input type="hidden" name="pid" value="<?php echo $ProductID . '_' . $TMPID; ?>" /><input type="text" style="width:30px;height:17px;border-right:0px;" name="quant" value="<?php echo $Product['Quantity']; ?>" /><input name="UpdateQuantity" type="image" value="Update Quantity" src="/i/other/update_btn.gif" style="width:auto;height:auto;position:absolute" class="clear" /></form></td>
		<td align="center">&pound;<?php echo number_format($ProductRow['price'] * $Product['Quantity'], 2); ?></td>
		<td align="center"><form action="/basket.html" method="post"><input type="hidden" name="pid" value="<?php echo $ProductID . '_' . $TMPID; ?>" /><input name="RemoveProduct" type="image" value="Remove Product" src="/i/other/remove_btn.gif" style="width:auto;height:auto;" class="clear" /></form></td>
	</tr>
<?php
						}
					}
				}
				
				echo '</table>';
				
				//$_SESSION['carttotal'] = number_format($TotalProductsPrice, 2);
				$_SESSION['carttotal'] = number_format($TotalProductsPrice, 2,'.','');
?>

<div style="padding-bottom:10px;border:1px solid #EEE;border-left:0px;border-right:0px;">
<h1>VOUCHER CODE</h1>
<?php
					if(isset($_SESSION['cartvoucher']))
						echo 'You are currently using the voucher code <strong>' . $_SESSION['cartvoucher']['code'] . '</strong>';
					else
						echo 'If you have a voucher code, please enter it in the box below and update your cart.';
						
echo'<br /><br />
<form action="basket.html" method="post">
<div align="center">
Voucher code: <input name="vcode" type="text" style="border-right: 0px none; width: 150px; height: 17px;" /><input name="Submit" value="Update" src="/i/other/update_btn.gif" style="width: auto; height: auto; position: absolute;" class="clear" type="image">
</div>
</form>
<br /><br />';
?>
<h1>Calculate delivery rate</h1>
<p>Please choose a country below to calculate your shipping costs. This country should be where the products are going to be delivered.</p>
<?php
	$_DELIVERYC = (isset($_POST['country'])==false) ? 'GB' : $_POST['country'];
	$_SESSION['details']['country'] = (isset($_POST['country'])==false) ? 'GB' : $_POST['country'];
	$_DELIVERYPRICE = getDeliveryPrice($_DELIVERYC);
?>
<form action="basket.html" method="post">
<?php echo showCountries($_DELIVERYC); ?> 
<input name="CalcDelivery" type="image" value="Calculate Delivery" src="/i/other/calculate_btn.gif" style="width:auto;height:auto;position:absolute;margin-left:10px;" class="clear" />
<h2 class="darker">Delivery Rate: &pound;<?php echo number_format($_DELIVERYPRICE, 2); ?></h2>
</form>

</div>
<?php
if(isset($_SESSION['cartvoucher']['code']))
{
	if($_SESSION['cartvoucher']['price'] != '0.00')
	{
		$_STRING = '&pound;' . number_format($_SESSION['cartvoucher']['price'], 2);
		//$Saved = ($_SESSION['carttotal'] - $_SESSION['cartvoucher']['price']);
		$Saved = $_SESSION['cartvoucher']['price'];

	}
	elseif(empty($_SESSION['cartvoucher']['percent'])==false)
	{
		$EndPrice = $_SESSION['carttotal'] - ($_SESSION['carttotal'] * ($_SESSION['cartvoucher']['percent']/100));
		$_STRING = $_SESSION['cartvoucher']['percent'] . '%';
		$Saved = ($_SESSION['carttotal'] * ($_SESSION['cartvoucher']['percent']/100));
	}

	$_SESSION['carttotal'] = $_SESSION['carttotal'];
}
?>
<h2 class="darker" style="text-align:right;">TOTAL PRICE: &pound;<?php echo number_format($_SESSION['carttotal'] + $_DELIVERYPRICE, 2); ?></h2>
<?php if($Saved>0) { ?>
<h2 class="darker" style="text-align:right;">PRICE AFTER DISCOUNT: &pound;<?php echo number_format(($_SESSION['carttotal'] + $_DELIVERYPRICE) - $Saved, 2); ?></h2>
<h2 class="darker" style="text-align:right;">YOU SAVED: &pound;<?php echo number_format($Saved, 2); ?></h2>
<?php } ?>
<form action="details.html" method="post">
<input name="Next" type="image" value="Next" src="/i/other/next_btn.gif" style="clear:both;width:auto;height:auto;float:right;" class="clear" />
</form>

<?php
			}
			else
			{
				echo 'You have not added anything to your basket! Browse our <a href="/collections.html">collections</a>.';
			}
		?>
</div>

<?php require_once("_footer.php"); ?>
